LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBSymbolContextList Class Reference

`#include <SBSymbolContextList.h>`

## Public Member Functions

| SBSymbolContextList ()
| SBSymbolContextList (const lldb::SBSymbolContextList &rhs)
| ~SBSymbolContextList ()
const lldb::SBSymbolContextList & | operator= (const lldb::SBSymbolContextList &rhs)
bool | IsValid () const
uint32_t | GetSize () const
lldb::SBSymbolContext | GetContextAtIndex (uint32_t idx)
bool | GetDescription (lldb::SBStream &description)
void | Append (lldb::SBSymbolContext &sc)
void | Append (lldb::SBSymbolContextList &sc_list)
void | Clear ()

## Protected Member Functions

lldb_private::SymbolContextList * | operator-> () const
lldb_private::SymbolContextList & | operator* () const

## Friends

class | SBModule
class | SBTarget

## Detailed Description

Definition at line 18 of file SBSymbolContextList.h.

## Constructor & Destructor Documentation

lldb::SBSymbolContextList::SBSymbolContextList | ( |  | ) |

lldb::SBSymbolContextList::SBSymbolContextList | ( | const lldb::SBSymbolContextList & | rhs | ) |

lldb::SBSymbolContextList::~SBSymbolContextList | ( |  | ) |

## Member Function Documentation

void lldb::SBSymbolContextList::Append | ( | lldb::SBSymbolContext & | sc | ) |

void lldb::SBSymbolContextList::Append | ( | lldb::SBSymbolContextList & | sc_list | ) |

void lldb::SBSymbolContextList::Clear | ( |  | ) |

lldb::SBSymbolContext lldb::SBSymbolContextList::GetContextAtIndex | ( | uint32_t | idx | ) |

bool lldb::SBSymbolContextList::GetDescription | ( | lldb::SBStream & | description | ) |

uint32_t lldb::SBSymbolContextList::GetSize | ( |  | ) | const

bool lldb::SBSymbolContextList::IsValid | ( |  | ) | const

lldb_private::SymbolContextList& lldb::SBSymbolContextList::operator* | ( |  | ) | const

protected

lldb_private::SymbolContextList* lldb::SBSymbolContextList::operator-> | ( |  | ) | const

protected

const lldb::SBSymbolContextList& lldb::SBSymbolContextList::operator= | ( | const lldb::SBSymbolContextList & | rhs | ) |

## Friends And Related Function Documentation

friend class SBModule

friend

Definition at line 53 of file SBSymbolContextList.h.

friend class SBTarget

friend

Definition at line 54 of file SBSymbolContextList.h.

The documentation for this class was generated from the following file:

- SBSymbolContextList.h